Subject: bug#341: c-indent-command misindents?

From: "Ralovich, Kristóf" <[email-masked]>
Date: Sat, 31 May 2008 17:13:49 +0200

Hi,

I hope this letter ends up at the right maintainers!

My problem is when running c-indent-command (by pressing TAB or
calling it directly) on the 4th line of the following small snippet
(same as attached file):

1: #ifdef A
2: int foo(int a, int b)
3: #else
4: int bar(int a, int b)
5: #endif
6: {
7:   return a+b;
8: }

the line is getting indented falsely:

1: #ifdef A
2: int foo(int a, int b)
3: #else
4:   int bar(int a, int b)
5: #endif
6: {
7:   return a+b;
8: }

I think, it should not get indented, please correct me if I am wrong!

I am using emacs 22.2 with it's default cc-mode.

Looking forward to hearing from you!

Kristóf